<?xml version="1.0" encoding="UTF-8"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings />
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser" />
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="elf" artifactName="STM327x6G-EVAL_USBD" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847" name="Debug" parent="fr.ac6.managedbuild.config.gnu.cross.exe.debug" postannouncebuildStep="Generating binary and Printing size information:" postbuildStep="arm-none-eabi-objcopy -O binary &quot;${BuildArtifactFileBaseName}.elf&quot; &quot;${BuildArtifactFileBaseName}.bin&quot; &amp;&amp; arm-none-eabi-size &quot;${BuildArtifactFileName}&quot;">
					<folderInfo id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847." name="/" resourcePath="">
						<toolChain id="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug.283564223" name="Ac6 STM32 MCU GCC" superClass="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug">
							<option id="fr.ac6.managedbuild.option.gnu.cross.prefix.1349803266" name="Prefix" superClass="fr.ac6.managedbuild.option.gnu.cross.prefix" value="arm-none-eabi-" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.mcu.22658855" name="Mcu" superClass="fr.ac6.managedbuild.option.gnu.cross.mcu" value="STM32F756NGHx" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.board.1945641181" name="Board" superClass="fr.ac6.managedbuild.option.gnu.cross.board" value="STM32756G-EVAL" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.instructionSet.1004700387" name="Instruction Set" superClass="fr.ac6.managedbuild.option.gnu.cross.instructionSet" value="fr.ac6.managedbuild.option.gnu.cross.instructionSet.thumbII" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.fpu.876216445" name="Floating point hardware" superClass="fr.ac6.managedbuild.option.gnu.cross.fpu" value="fr.ac6.managedbuild.option.gnu.cross.fpu.fpv5-sp-d16" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.floatabi.1740057758" name="Floating-point ABI" superClass="fr.ac6.managedbuild.option.gnu.cross.floatabi" value="fr.ac6.managedbuild.option.gnu.cross.floatabi.hard" valueType="enumerated" />
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="fr.ac6.managedbuild.targetPlatform.gnu.cross.1745419136" isAbstract="false" osList="all" superClass="fr.ac6.managedbuild.targetPlatform.gnu.cross" />
							<builder buildPath="${workspace_loc:/STM327x6G-EVAL_USBD}/Debug" id="fr.ac6.managedbuild.builder.gnu.cross.1670829539" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="fr.ac6.managedbuild.builder.gnu.cross">
								<outputEntries>
									<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="outputPath" name="Debug" />
								</outputEntries>
							</builder>

							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.766084640" name="MCU GCC Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler">
								<option defaultValue="gnu.c.optimization.level.none" id="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level.694652318" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.c.optimization.level.size" valueType="enumerated" />
								<option id="gnu.c.compiler.option.debugging.level.248751150" name="Debug Level" superClass="gnu.c.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated" />
								<option id="gnu.c.compiler.option.include.paths.210413839" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath"><listOptionValue builtIn="false" value="../../../Inc" /><listOptionValue builtIn="false" value="../../../../../../../../Middlewares/ST/STM32_USB_Device_Library/Core/Inc" /><listOptionValue builtIn="false" value="../../../../../../../../Middlewares/ST/STM32_USB_Device_Library/Class/HID/Inc" /><listOptionValue builtIn="false" value="../../../../../../../../Middlewares/ST/STM32_USB_Device_Library/Class/CDC/Inc" /><listOptionValue builtIn="false" value="../../../../../../../../Drivers/STM32F7xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../../../../../../../../Drivers/BSP/STM32756G_EVAL" /><listOptionValue builtIn="false" value="../../../../../../../../Drivers/CMSIS/Device/ST/STM32F7xx/Include" /><listOptionValue builtIn="false" value="../../../../../../../../Drivers/CMSIS/Include" /><listOptionValue builtIn="false" value="" /><listOptionValue builtIn="false" value="" /><listOptionValue builtIn="false" value="" /></option>
								<option id="gnu.c.compiler.option.preprocessor.def.symbols.2023635819" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols"><listOptionValue builtIn="false" value="USE_HAL_DRIVER" /><listOptionValue builtIn="false" value="STM32F756xx" /><listOptionValue builtIn="false" value="USE_STM32756G_EVAL" /><listOptionValue builtIn="false" value="USE_IOEXPANDER" /></option>
								<option id="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other.609089907" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.1537273610" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s.478731839" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.740758132" name="MCU G++ Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler">
								<option id="gnu.cpp.compiler.option.optimization.level.1327886745" name="Optimization Level" superClass="gnu.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.optimization.level.none" valueType="enumerated" />
								<option id="gnu.cpp.compiler.option.debugging.level.143874867" name="Debug Level" superClass="gnu.cpp.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.debugging.level.max" valueType="enumerated" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.1518169060" name="MCU GCC Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker">
								<option id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script.422158249" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script" value="../STM32F756NGHx_FLASH.ld" valueType="string" />
								<option id="gnu.c.link.option.libs.887716766" name="Libraries (-l)" superClass="gnu.c.link.option.libs" />
								<option id="gnu.c.link.option.paths.687902217" name="Library search path (-L)" superClass="gnu.c.link.option.paths" />
								<option id="gnu.c.link.option.ldflags.870622756" superClass="gnu.c.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
								<inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1384221252" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
									<additionalInput kind="additionalinput" paths="$(LIBS)" />
								</inputType>
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.2096300760" name="MCU G++ Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker" />
							<tool id="fr.ac6.managedbuild.tool.gnu.archiver.1220535839" name="MCU GCC Archiver" superClass="fr.ac6.managedbuild.tool.gnu.archiver" />
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.assembler.1875641500" name="MCU GCC Assembler" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler">
								<option id="gnu.both.asm.option.include.paths.1905200962" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="" />
								</option>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.1668245840" superClass="cdt.managedbuild.tool.gnu.assembler.input" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.assembler.input.13067381" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.input" />
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="" />
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings" />
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="STM327x6G-EVAL_USBD.fr.ac6.managedbuild.target.gnu.cross.exe.171411297" name="Executable" projectType="fr.ac6.managedbuild.target.gnu.cross.exe" />
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="" />
		<scannerConfigBuildInfo instanceId="fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847;fr.ac6.managedbuild.config.gnu.cross.exe.debug.1926135847.;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.766084640;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.1537273610">
			<autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId="" />
		</scannerConfigBuildInfo>
		<!--scannerConfigBuildInfo instanceId="fr.ac6.managedbuild.config.gnu.cross.exe.release.$(RELEASE_CONFIG_UID);fr.ac6.managedbuild.config.gnu.cross.exe.release.$(RELEASE_CONFIG_UID).;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.$(RELEASE_TOOL_COMPILER_UID);cdt.managedbuild.tool.gnu.c.compiler.input.$(RELEASE_TOOL_COMPILER_INPUT_UID)">
			<autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo-->
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders" />
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration artifactName="STM327x6G-EVAL_USBD" configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="STM327x6G-EVAL_USBD" />
		</configuration>
	</storageModule>
</cproject>
